Bug 428515 - IBM X3200 series, ATI ES1000, X does not start with the radeon driver, screen goes blank
IBM X3200 series, ATI ES1000, X does not start with the radeon driver, screen...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-12 13:02 EST by Kuba Wroniecki
Modified: 2009-04-23 08:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 19:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (807 bytes, text/plain)
2008-01-15 04:42 EST, Kuba Wroniecki
no flags Details
Xorg.0.log (69.81 KB, text/plain)
2008-01-15 04:44 EST, Kuba Wroniecki
no flags Details
Xorg.0.log with no xorg.conf (75.87 KB, text/plain)
2008-01-15 04:45 EST, Kuba Wroniecki
no flags Details
Xorg.0.log when X is working (78.44 KB, text/plain)
2008-01-15 04:46 EST, Kuba Wroniecki
no flags Details
lspci -vn (7.28 KB, text/plain)
2008-03-27 06:49 EDT, Kuba Wroniecki
no flags Details

  None (edit)
Description Kuba Wroniecki 2008-01-12 13:02:33 EST
Description of problem:
IBM X3200 series server - the on-board ATI ES1000 is detected properly, but the
screen goes blank after starting X windows. No errors are reported in Xorg.0.log. 
Adding 
   Option "DefaultConnectorTable" "on"
in the xorg.conf "Device" section solves the problem.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.195-3.fc8

How reproducible:
The problem is seen when starting the graphic installer, or starting X with the
'radeon' driver configured after installation.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-01-14 06:42:44 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kuba Wroniecki 2008-01-15 04:42:10 EST
Created attachment 291698 [details]
xorg.conf

This is the original xorg.conf as it was after installation.
Comment 3 Kuba Wroniecki 2008-01-15 04:44:28 EST
Created attachment 291699 [details]
Xorg.0.log

This is the log produced by X with the initial xorg.conf
Comment 4 Kuba Wroniecki 2008-01-15 04:45:16 EST
Created attachment 291700 [details]
Xorg.0.log with no xorg.conf
Comment 5 Kuba Wroniecki 2008-01-15 04:46:21 EST
Created attachment 291701 [details]
Xorg.0.log when X is working

This is the log produced after adding the
   Option "DefaultConnectorTable" "on"
X starts fine.
Comment 6 Dave Airlie 2008-03-26 19:36:18 EDT
does the board have only one connector? can you re-check with latest rawhide?

can you attach the output of lspci -vn and I can see about trying a workaround.
Comment 7 Kuba Wroniecki 2008-03-27 06:49:56 EDT
Created attachment 299301 [details]
lspci -vn
Comment 8 Kuba Wroniecki 2008-03-27 06:51:13 EDT
(In reply to comment #6)
> does the board have only one connector? can you re-check with latest rawhide?
yes, only one connector. unfortunately it is not possible to try the latest
rawhide right now.
> can you attach the output of lspci -vn and I can see about trying a workaround.
done
Comment 9 Dave Airlie 2008-03-31 00:45:02 EDT
I've added a quirk to remove the second VGA rawhide is finding, however I'm not
sure it'll totally fix it. Those servers have two outputs, one VGA and one DVI
(routed to KVM I think). The new server might make it all properly though.
Comment 10 Dave Airlie 2008-03-31 00:57:20 EDT
I just noticed this is an F8 bug, I should re-build you an F8 package for
testing maybe..

can you try the 6.8.0-3.fc8 update when it hits updates-testing?

or grab it from.
http://koji.fedoraproject.org/packages/xorg-x11-drv-ati/6.8.0/3.fc8/
Comment 11 Matěj Cepl 2008-06-12 09:40:31 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 Matěj Cepl 2008-07-15 19:45:52 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.
Comment 13 Satheeskumar 2009-04-21 08:29:54 EDT
I am shatheesh, Working as Asst Network Manager at Eastern University Sri Lanka.
we baught a new IBM X3200 server.

When i try to install FC9, i would be able to bootup from the CD but in a bit time it display the message

" Loading Video /Xconfiguration"

after that no graphical windows and system freezing in black window. i will tomorrow send lspci -vn output as attachment.

Thank you.
Satheesh
Asst Network Manager
EUSL - Sri Lanka
Comment 14 Matěj Cepl 2009-04-23 08:52:43 EDT
(In reply to comment #13)
> after that no graphical windows and system freezing in black window. i will
> tomorrow send lspci -vn output as attachment.

Please, file a new bug.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and copy /tmp/X* and /var/log/anaconda.xlog to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.